﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;

public partial class _Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        WebDataGrid1.DataSource = populateGrid();
        WebDataGrid1.DataBind();
    }


    protected DataTable populateGrid()
    {
        DataTable dt = new DataTable();
        dt.Columns.Add("ID");
        dt.Columns.Add("Name");
        dt.Columns.Add("Status");

        dt.PrimaryKey = new DataColumn[] { dt.Columns["ID"] };

        DataRow row;
        for (int i = 0; i < 10; i++)
        {
            row = dt.NewRow();
            row.SetField<int>("ID", i);
            row.SetField<string>("Name", "Name" + i);
            dt.Rows.Add(row);
        }

        return dt;
    }
    protected void WebDataGrid1_RowUpdating(object sender, Infragistics.Web.UI.GridControls.RowUpdatingEventArgs e)
    {
        //DataTable dt = populateGrid();
        
        //if (e.Values["Name"] != e.OldValues["Name"])
        //{
        //    e.Row.Items[2].Column.Hidden = false;
        //    dt.Rows[e.Row.Index]["Status"] = "modified";
        //    WebDataGrid1.DataSource = dt;
        //    WebDataGrid1.DataBind();
        //}
    }
}